API Documentation Download OpenAPI specification

Fetch Addon Products and Pricing

GEThttps://bll.titan.email/partner/listAddonProducts

API to fetch list of addon product details for a Mail Order on Titan Mail Cloud Infra

  • At least one of (titanOrderId) or (domainName, customerId) should be present in request
  • If a domain has no currency set, defaultCurrency is used for pricing of products.
  • In case Titan couldn't determine currency, req fails.

Query parameters

titanOrderIdnumberrequired

The unique Titan order ID against which the domain is provisioned

Example: 1
domainNamestringoptional

[Deprecated] The mail order name associated to the Titan order ID

Example: xyz.com
customerIdstringoptional

[Deprecated] unique id stored on your end for each customer

Example: abcd123
defaultCurrencystringoptional
Example: USD

Responses

200OKapplication/json
reqIDstringrequired
Example: server.req.id
domainBillingCyclestring

billing cycle

Example: monthly
domainCurrencystring

currency

Example: USD
addonsobject[]
Show propertiesHide properties
typestring

addon type

Example: storage_addon, email_backup
pricingobject
Show propertiesHide properties
currencystring
Example: USD
billingCyclePriceMapobject
Show propertiesHide properties
monthlynumberoptional
Example: 2.99
yearlynumberoptional
Example: 2.49
400BAD_REQUEST
  • server is not able to figure out currency for domain.
  • domain status is not in active or suspension state.
See General Errors for other errors that this API can return.
GET/partner/listAddonProducts
curl 'https://bll.titan.email/partner/listAddonProducts?titanOrderId=1&domainName=xyz.com&customerId=abcd123&defaultCurrency=USD' \
  --header 'Authorization: API.Key'
Response
{
  "reqID": "server.req.id",
  "domainBillingCycle": "monthly",
  "domainCurrency": "USD",
  "addons": [
    {
      "type": "storage_addon, email_backup",
      "pricing": {
        "currency": "USD",
        "billingCyclePriceMap": {
          "monthly": 2.99,
          "yearly": 2.49
        }
      }
    }
  ]
}